<template>
	<view class="freightForwarder-index">
		<view class="freightForwarder-index-body">
			<view class="wait-collection" style="background: url('https://mx.jzeg.cn:9095/appimg/image/banner/customerbanner.png') no-repeat;background-size:contain"></view>
			<view style="position: relative;top: -120px;">
				<u-empty mode="data" icon="http://cdn.uviewui.com/uview/empty/data.png" textSize="30" iconSize="1000" v-if="orderPlanData.length == 0"></u-empty>
			</view>
			<view class="collection-form">
				<view class="collection-form-item" v-for="(item, index) in orderPlanData" :key="index" @click="cardBodyClick(item)">
					<view class="first-line">
						<view class="dispatch-receive">
							<view v-if="item.orderType == '外销' || item.orderType == '内销' || item.orderType == '转出'" class="container">
								<view class="dispatch">{{ item.deptName }}</view>
								<view class="receive-icon"></view>
								<view class="receive">{{ item.customerName }}</view>
							</view>
							<view v-else-if="item.orderType == '外购' || item.orderType == '内购' || item.orderType == '转入'" class="container">
								<view class="dispatch">{{ item.customerName }}</view>
								<view class="receive-icon"></view>
								<view class="receive">{{ item.deptName }}</view>
							</view>
						</view>
						<view class="point-number">
							<text class="residue">{{ item.carNumSurplusHuodai || 0 }}</text>
							<text>/{{ item.carNum }}</text>
						</view>
					</view>
					<view class="second-line">
						<view class="coal-name">
							<view class="">{{ item.coalName }}</view>
							<view class="black-bar"></view>
							<view class="coal-type" v-if="item.orderType">{{ item.orderType }}</view>
						</view>
					</view>
					<view class="third-line">
						<view class="time-icon">
							<view
								style="width: 24rpx;height: 24rpx;line-height: 24rpx;background: url('https://mx.jzeg.cn:9095/appimg/image/banner/clock.png') no-repeat;background-size: cover"
							></view>
						</view>
						<view class="send-date">{{ item.sendDate }}</view>
					</view>
					<view class="fourth-line">
						<view class="forward" @click.stop="forwardClick(item)"><view class="button-image">转发</view></view>
					</view>
				</view>
			</view>
			<!-- <view class="transparent">
				<u-empty mode="data" icon="http://cdn.uviewui.com/uview/empty/data.png" textSize="30" iconSize="1000" v-if="orderPlanData.length == 0"></u-empty>
			</view> -->
			<view class="history-numbers">
				<combined-title title="历史提煤单"></combined-title>
				<scroll-view :scroll-top="scrollTop" scroll-y="true" class="scroll-Y" @scrolltolower="historyScrolltolower">
					<u-empty mode="data" icon="http://cdn.uviewui.com/uview/empty/data.png" textSize="30" iconSize="1000" v-if="historyCoalData.length === 0"></u-empty>
					<view class="history-information" v-for="(item, index) in historyCoalData" :key="index" @click="faYundetail(item)">
						<view class="first">
							<view class="">{{ item.deptName || '' }}</view>
							<view class=""><u-icon name="arrow-right" color="#999999" size="40"></u-icon></view>
						</view>
						<view class="second">
							<view class="coal-name">{{ item.coalName || '' }}</view>
							<view class="order-type" v-if="item.orderType">{{ item.orderType || '' }}</view>
						</view>
						<view class="third">
							<view class="third-line">
								<view class="third-line_text">领取数：</view>
								<view class="third-line_num">{{ item.cars2 }}</view>
							</view>
							<view class="third-line">
								<view class="third-line_text">剩余数：</view>
								<view class="third-line_num" v-if="roleType == 1">{{ item.carNumSurplus1 }}</view>
								<view class="third-line_num" v-else-if="roleType == 2">{{ item.carNumSurplus }}</view>
							</view>
							<view class="third-line">
								<view class="third-line_text">提煤单个数：：</view>
								<view class="third-line_num">{{ item.tmCount }}</view>
							</view>
						</view>
						<view class="fourth">
							<view class="fourth-icon">
								<view
									style="width: 24rpx;height: 24rpx;line-height: 24rpx;background: url('https://mx.jzeg.cn:9095/appimg/image/banner/clock.png') no-repeat;background-size: cover"
								></view>
							</view>
							<view class="senddate">{{ item.sendDate }}</view>
						</view>
						<view class="fourth">
							<view class="fourth-icon">
								<view
									style="width: 26rpx;height: 26rpx;line-height: 26rpx;background: url('https://mx.jzeg.cn:9095/appimg/image/banner/carnNUm.png') no-repeat;background-size: cover"
								></view>
							</view>
							<view class="senddate">{{ item.orderCode }}</view>
						</view>
					</view>
					<view class="more_text" v-if="showMoreData && historyCoalData.length !== 0">没有数据了...</view>
					<view class="white-block"></view>
				</scroll-view>
			</view>
		</view>
	</view>
</template>

<script>
import combinedTitle from '@/components/combined-title/combined-title.vue';
export default {
	props: {
		indexHistoryCoalData: {
			type: Array,
			default: []
		},
		indexHuoDaiOrderPlanData: {
			type: Array,
			default: []
		}
	},
	watch: {
		indexHistoryCoalData: {
			handler(v) {
				this.historyCoalData = v;
			},
			deep: true,
			immediate: true
		},
		indexHuoDaiOrderPlanData: {
			handler(v) {
				this.orderPlanData = v;
			},
			deep: true,
			immediate: true
		}
	},
	components: {
		combinedTitle
	},
	data() {
		return {
			orderPlanData: [],
			historyCoalData: [],
			// 表格加载状态
			loading: false,
			scrollTop: 0,
			// 每页数据量
			pageSize: 10,
			// 当前页
			pageCurrent: 1,
			// 数据总量
			total: 0,
			// 是否显示更多数据
			showMoreData: false
		};
	},
	onShow() {
		this.init();
	},
	computed: {
		huoDaiId() {
			return uni.getStorageSync('userInfo').id;
		}
	},
	methods: {
		// 获取历史提煤单
		getJhOrderPlanDataPage() {
			uni.showLoading({
				title: '加载中'
			});
			this.$reqGet('getJhOrderPlanDataPage', { current: this.pageCurrent, size: this.pageSize }).then(res => {
				if (res.data.records) {
					if (this.pageCurrent > 1) {
						this.historyCoalData = this.historyCoalData.concat(res.data.records);
						this.historyCoalData = this.ArrSet(this.historyCoalData, 'id');
						uni.hideLoading();
					} else {
						this.historyCoalData = res.data.records;
						uni.hideLoading();
					}
				}
			});
		},
		// 上拉加载
		historyScrolltolower() {
			if (this.pageCurrent * this.pageSize >= this.total) return (this.showMoreData = true);
			this.pageCurrent++;
			this.getJhOrderPlanDataPage();
		},
		//fix 点击提煤单返回会增加重复数据
		ArrSet(Arr, id) {
			var obj = {};
			const arrays = Arr.reduce((setArr, item) => {
				obj[item[id]] ? '' : (obj[item[id]] = true && setArr.push(item));
				return setArr;
			}, []);
			return arrays;
		},
		init() {
			this.huoDaiList();
			this.getJhOrderPlanDataPage();
		},
		huoDaiList() {
			this.$reqGet('huoDaiList').then(res => {
				this.orderPlanData = res.data;
			});
		},
		cardBodyClick(item) {
			// let code = null;
			// this.orderPlanData.forEach(item => {
			// 	if (item.orderPlanId == id) {
			// 		code = item.code;
			// 		id = item.orderPlanId;
			// 	}
			// });
			uni.navigateTo({
				url: `/pages/customer-page/customer-index/fayunPlanDetails/fayunPlanDetails?orderPlanId=${item.orderPlanId}&code=${item.code}`
			});
		},
		// 转发
		forwardClick(value) {
			uni.navigateTo({
				url: `/pages/public-page/forward/forward?orderPlanId=${value.orderPlanId}&carNumSurplusHuodai=${value.carNumSurplusHuodai}&carNum=${value.carNum}`
			});
		},
		// 点击历史提煤单一行获取详情
		faYundetail(v) {
			uni.navigateTo({
				url: `/pages/customer-page/customer-index/fayunPlanDetails/fayunPlanDetails?orderPlanId=${v.id}&cars2=${v.cars2}`
			});
		}
	}
};
</script>

<style lang="scss" scoped>
@mixin flex {
	display: flex;
	justify-content: space-between;
	align-items: center;
}
.scroll-Y {
	height: 900rpx;
	.more_text {
		color: #333;
		font-size: 24rpx;
		text-align: center;
	}
}
.history-numbers {
	width: 100%;
	position: relative;
	top: vww(-110);
	.history-information {
		width: 690rpx;
		height: 398rpx;
		margin: vww(10) vww(15);
		background: #ffffff;
		box-shadow: 0rpx 0rpx 14rpx 0rpx rgba(73, 120, 240, 0.14), 0rpx 7rpx 45rpx 0rpx rgba(73, 120, 240, 0.12);
		border-radius: 20rpx;
		@include flex flex-direction: column;
		align-items: flex-start;
		justify-content: space-evenly;
		overflow: hidden;
		.first {
			width: 96%;
			height: 34rpx;
			font-size: 32rpx;
			font-family: Microsoft YaHei;
			font-weight: 300;
			color: #303030;
			@include flex;
			margin: vww(10) vww(10) 0;
		}
		.second {
			width: 100%;
			height: 31rpx;
			font-size: 30rpx;
			font-family: Microsoft YaHei;
			font-weight: 300;
			color: #515151;
			margin: vww(10) vww(10) 0;
			@include flex;
			justify-content: flex-start;
			.coal-name {
				min-width: vww(30);
				height: vww(20);
				margin-right: vww(21);
			}
			.order-type {
				color: #035cfb;
				border: 2px solid #035cfb;
				border-radius: 4rpx;
				padding: vww(2) vww(4);
				text-align: center;
			}
		}
		.third {
			width: 96%;
			height: 31rpx;
			font-size: 30rpx;
			font-family: Microsoft YaHei;
			font-weight: 300;
			color: #515151;
			margin: vww(10) vww(10) 0;
			@include flex;
			.third-line {
				@include flex;
				&_text {
					color: #919090;
				}
				&_num {
					color: #035cfb;
				}
			}
		}
		.fourth {
			width: 50%;
			height: 31rpx;
			font-size: 30rpx;
			font-family: Microsoft YaHei;
			font-weight: 300;
			color: #515151;
			margin: vww(10) vww(10) 0;
			@include flex;
			.fourth-icon {
				width: vww(13);
				height: vww(13);
				margin-right: vww(14);
			}
			.senddate {
				flex: 1;
			}
		}
	}
}
::v-deep.freightForwarder-index {
	width: 100%;
	margin: 0 auto;
	// 主体
	.freightForwarder-index-body {
		.wait-collection {
			width: 100%;
			height: 600rpx;
			position: relative;
			top: vww(-10);
			z-index: 0;
		}
		.collection-form {
			width: vww(345);
			margin: 0 vww(15);
			position: relative;
			top: vww(-144);
			.collection-form-item {
				width: 690rpx;
				height: 300rpx;
				background: #ffffff;
				box-shadow: 4rpx 6rpx 25rpx 0rpx rgba(73, 120, 240, 0.15);
				border-radius: 20rpx;
				overflow: hidden;
				@include flex flex-direction: column;
				position: relative;
				align-items: flex-start;
				margin-top: vww(10);
				.first-line {
					width: 94%;
					height: vww(30);
					margin: vww(10) vww(16) 0 vww(16);
					display: flex;
					justify-content: space-between;
					.dispatch-receive {
						width: 70%;
						display: flex;
						justify-content: space-between;
						align-items: center;
						.container {
							width: 100%;
							display: flex;
							justify-content: space-between;
							align-items: center;
						}
						.receive-icon {
							width: 62rpx;
							height: 14rpx;
							border-bottom: 3px solid #275fa5;
							position: relative;
							&:after {
								content: '';
								position: absolute;
								width: 3px;
								height: 10px;
								background-color: #275fa5;
								right: 0;
								transform: rotate(-45deg);
							}
						}
					}
					.point-number {
						width: 15%;
						text {
							font-size: 24rpx;
							font-family: Microsoft YaHei;
							font-weight: 400;
							color: #c78a64;
						}
						.residue {
							font-size: 40rpx;
							font-family: CTCuHeiSJ;
							font-weight: 400;
							color: #f81414;
						}
					}
				}
				.second-line {
					width: 100%;
					height: vww(30);
					margin-left: vww(12);
					display: flex;
					justify-content: flex-start;
					align-items: center;
					.coal-name {
						flex-grow: 1;
						height: 30rpx;
						font-size: 30rpx;
						font-family: Microsoft YaHei;
						font-weight: 300;
						color: #515151;
						position: relative;
						display: flex;
						align-items: center;
						.black-bar {
							width: 2rpx;
							height: 30rpx;
							background: #515151;
							margin-left: vww(12);
						}
						.coal-type {
							margin-left: vww(12);
							min-width: vww(50);
							height: 30rpx;
							line-height: 30rpx;
							font-size: 30rpx;
							font-family: Microsoft YaHei;
							font-weight: 300;
							color: #515151;
						}
					}
				}
				.third-line {
					width: 40%;
					height: vww(30);
					margin-left: vww(15);
					display: flex;
					justify-content: flex-start;
					align-items: center;
					.send-date {
						width: 148rpx;
						height: 24rpx;
						margin-left: vww(14);
						line-height: 24rpx;
						font-size: 28rpx;
						font-family: Microsoft YaHei;
						font-weight: 300;
						color: #515151;
					}
				}
				.fourth-line {
					width: 40%;
					height: vww(30);
					@include flex;
					position: relative;
					left: 60%;
					bottom: vww(10);
					.forward {
						width: vww(123);
						height: vww(48);
						left: vww(140);
						.button-image {
							width: 100%;
							height: 100%;
							background: url('../../../static/image/banner/button.png') no-repeat;
							background-size: cover;
							font-size: 28rpx;
							font-family: Microsoft YaHei;
							font-weight: 300;
							color: #fff;
							text-align: center;
							line-height: vww(45);
						}
					}
				}
			}
		}
	}
}
</style>
